#include <stdlib.h>
#include <string.h>
#include "external.h"

extern struct atom_rec atom;



int	read_Brookhaven_ATOM_record( char *buffer ){


char field[10];

/* Test that the buffer is signified by an ATOM field */
	if (strncmp( buffer, "ATOM", 4 ) != 0){
		/* Failure */
		return( -1 );
	}

/* Atom number */
	strncpy( field, buffer+6, 5 );
	field[5] = '\0';
	atom.atom_number=atoi(field);

/* Atom name */
	strncpy( atom.atom_name, buffer+13, 3 );
	atom.atom_name[3] = '\0';

/* Residue name */
	strncpy( atom.residue_name, buffer+17, 3 );
	atom.residue_name[3] = '\0';

/* Chain */
	atom.chain = buffer[21];

/* Insertion code */
	atom.insertion_code = buffer[26];

/* Residue number */
	strncpy(atom.residue_number, buffer+22, 4 );
	atom.residue_number[4]= '\0';

/* X */
	strncpy( field, buffer+30, 8);
	field[8] = '\0';
	atom.xyz[0]=atof(field);

/* Y */
	strncpy( field, buffer+38, 8);
	field[8] = '\0';
	atom.xyz[1]=atof(field);

/* Z */
	strncpy( field, buffer+46, 8);
	field[8] = '\0';
	atom.xyz[2]=atof(field);

/* Successful completion */
	return( 0 );
}

