/*
 *		      COMP_UM.C   Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include "external.h"

extern int matrix[MAX_LEN][MAX_LEN];
extern char seq[MAX_SEQ][MAX_LEN];
extern int len[MAX_SEQ];
extern int p_f;
extern int m_f;

extern int mats[11][20][20];
extern int ind[26];

void comp_um(j,k,mat,lenj,lenk)

int j, k;
int mat;
int *lenj;
int *lenk;

{
register int p, q;

/*
 *	score all possible residue matches
 *	p_f=0, initialize matrix;
 *	p_f=1, sum to matrix;
 *	m_f=1, sum begining second round
 */

if(p_f==0)
	{
	for(p=1;p<=len[j];++p)
		{
		for(q=1;q<=len[k];++q)
			{

			if(seq[j][p]=='-' || seq[k][q]=='-')matrix[p][q]=0;
			else matrix[p][q]=
			mats[mat][ind[seq[j][p]-'A']][ind[seq[k][q]-'A']];
			}
		}
	*lenj=len[j];
	*lenk=len[k];
	if(m_f==1)p_f=1;
	}

else	{
	for(p=1;p<=len[j];++p)
		{
		for(q=1;q<=len[k];++q)
			{

			if(seq[j][p]=='-' || seq[k][q]=='-')matrix[p][q]+= 0;
			else matrix[p][q]+=
			mats[mat][ind[seq[j][p]-'A']][ind[seq[k][q]-'A']];

			}
		}
	*lenj=len[j];
	*lenk=len[k];
	}

return;
}
