/*
 *		      COPY_UM.C  Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

                /*
		 *  file = Sequences to be aligned.
		 */
#include "external.h"

extern char seq[MAX_SEQ][MAX_LEN];
extern int temp[2][MAX_LEN];
extern int len[MAX_SEQ];

char sseq[MAX_SEQ][MAX_LEN];

void copy_um(list1,nlist1,list2,nlist2,t_len)

int list1[MAX_SEQ],nlist1;
int list2[MAX_SEQ],nlist2;
int t_len;

{
register int i,j;

/*
 *	output the the pairwise alignments
 */

for(i=0;i<nlist1;i++)
	{
	for(j=1;j<=t_len;j++)
		{
		if(temp[0][j]== -99)sseq[list1[i]][j]='-';
		else sseq[list1[i]][j]=seq[list1[i]][temp[0][j]];
		}
	len[list1[i]]=t_len;
	}
for(i=0;i<nlist2;i++)
	{
	for(j=1;j<=t_len;j++)
		{
		if(temp[1][j]== -99)sseq[list2[i]][j]='-';
		else sseq[list2[i]][j]=seq[list2[i]][temp[1][j]];
		}
	len[list2[i]]=t_len;
	}

for(i=0;i<nlist1;i++)
	{
	for(j=1;j<=t_len;j++)
		{
		seq[list1[i]][j]=sseq[list1[i]][j];
		}
	}
for(i=0;i<nlist2;i++)
	{
	for(j=1;j<=t_len;j++)
		{
		seq[list2[i]][j]=sseq[list2[i]][j];
		}
	}
return;
}
